mprintf("Calcul d''une approximation de pi ~ %1.15f :\n", %pi);

vn = 2. .* sqrt(2.0);
for n = 1 : 30
    mprintf("n = %2d, v(%2d) = %20.15f\n", n, n, vn);
    vn = 2. .^(n+1) .* sqrt(2. - sqrt(4. - (vn ./ (2. .^n)).^2.) );
end
mprintf("Valeur attendue : pi ~ %1.15f.\n", %pi);

disp("Calcul d''une deuxieme approximation de pi :");

vn = 2. .* sqrt(2.0);
for n = 1 : 30
    mprintf("n = %2d, v(%2d) = %20.15f\n", n, n, vn);
    vn = (      2. .^(n+1) .* sqrt( 2. - sqrt(4. - (vn ./ (2. .^n)).^2.) )       ...
                           .* sqrt( 2. + sqrt(4. - (vn ./ (2. .^n)).^2.) )      )...
           ./ ( sqrt( 2. + sqrt(4. - (vn ./ (2. .^n)).^2.) ) );
end
mprintf("Valeur attendue : pi ~ %1.15f.\n", %pi);


disp("Calcul de la deuxieme approximation (simplifiee) de pi :");

vn = 2. .* sqrt(2.0);
for n = 1 : 30
    mprintf("n = %2d, v(%2d) = %20.15f\n", n, n, vn);
    vn = (      2. .^(n+1) .* (vn ./ (2. .^n))      ) ...
           ./ ( sqrt( 2. + sqrt(4. - (vn ./ (2. .^n)).^2.) ) );
end
mprintf("Valeur attendue : pi ~ %1.15f.\n", %pi);

